<?php

class USIN_Learndash_Active_Students_Loader extends USIN_Period_Report_Loader {

	protected function load_data(){
		global $wpdb;

		$group_by = $this->get_period_group_by($this->label_col);
		$start = $this->get_period_start();
		$end =  $this->get_period_end();
		$activity_updated = USIN_Query_Helper::get_unix_timestamp_to_local_datetime_select('activity_updated');

		$subquery = "SELECT user_id, $activity_updated as $this->label_col FROM {$wpdb->prefix}learndash_user_activity".
			" WHERE activity_type != 'access'";

		$query = $wpdb->prepare("SELECT COUNT(DISTINCT(user_id)) AS $this->total_col, $this->label_col".
			" FROM ($subquery) AS activities WHERE $this->label_col >= %s AND $this->label_col <= %s GROUP BY $group_by",
			$start, $end);

		return $wpdb->get_results( $query );
	}
}