<?php

class USIN_Woocommerce_Bought_Together_Loader extends USIN_Standard_Report_Loader {

	protected function load_data(){
		global $wpdb;

		$product = $this->get_selected_group_filter('product');
		if (empty($product)){
			return array();
		}

		$filter = $this->getSelectedFilter();
		$orders_join = '';
		$period_condition = USIN_Standard_Report_With_Period_Filter::generate_condition($filter, 'orders.post_date');
		
		if(!empty($period_condition)){
			$orders_join = " INNER JOIN $wpdb->posts AS orders ON orders.ID = items.order_id $period_condition";
		}

		$item_meta_table = "{$wpdb->prefix}woocommerce_order_itemmeta";
		$items_table = "{$wpdb->prefix}woocommerce_order_items";

		$query = $wpdb->prepare("SELECT products.post_title AS $this->label_col, COUNT(meta.meta_value) AS $this->total_col
			FROM $items_table AS items
			INNER JOIN $item_meta_table AS meta ON items.order_item_id = meta.order_item_id".$orders_join."
			INNER JOIN (
				SELECT order_id
				FROM $items_table AS items
				INNER JOIN $item_meta_table AS meta ON items.order_item_id = meta.order_item_id AND meta.meta_key ='_product_id' AND meta.meta_value = %d
			) AS focus_orders ON items.order_id = focus_orders.order_id
			INNER JOIN $wpdb->posts AS products ON products.ID = meta.meta_value AND products.post_type = 'product'                                                                 
			WHERE meta.meta_value != %d AND meta.meta_key ='_product_id'
			GROUP BY meta.meta_value
			HAVING count(meta.meta_value) > 1
			ORDER BY $this->total_col DESC LIMIT $this->max_items", $product, $product);

		return $wpdb->get_results( $query );
	}
}