<?php

class USIN_Woocommerce_Order_Statuses_Loader extends USIN_Standard_Report_Loader {

	protected function load_data(){
		global $wpdb;

		$status_query = '';

		if($wc_statuses = $this->get_statuses()){
			$status_query = " AND post_status IN (".USIN_Helper::array_to_sql_string(array_keys($wc_statuses)).")";
		}
		$filter = $this->getSelectedFilter();
		$period_condition = USIN_Standard_Report_With_Period_Filter::generate_condition($filter, 'orders.post_date');

		$product = $this->get_selected_group_filter('product');
		$product_query = '';
		if($product != null){
			$product_query = $wpdb->prepare(" INNER JOIN {$wpdb->prefix}woocommerce_order_items AS items ON orders.ID = items.order_id".
				" INNER JOIN {$wpdb->prefix}woocommerce_order_itemmeta AS meta ON items.order_item_id = meta.order_item_id".
				" AND meta.meta_key = '_product_id' AND meta.meta_value = %d", $product);
		}

		$query = "SELECT COUNT(*) AS $this->total_col, post_status AS $this->label_col FROM $wpdb->posts AS orders".$product_query.
			" WHERE post_type = '".USIN_Woocommerce::ORDER_POST_TYPE."'".$status_query.$period_condition." GROUP BY post_status";
		$data = $wpdb->get_results( $query );

		return $this->apply_status_names($data);

	}

	protected function apply_status_names($data){
		if($wc_statuses = $this->get_statuses()){

			foreach ($data as $row ) {
				if(isset($wc_statuses[$row->label])){
					$row->label = $wc_statuses[$row->label];
				}
			}
		}
		return $data;
	}

	protected function get_statuses(){
		if(function_exists('wc_get_order_statuses')){
			return wc_get_order_statuses();
		}
	}

}