<?php

class USIN_Woocommerce_Product_Items_Sold_Loader extends USIN_Period_Report_Loader {
	
	protected function load_data(){
		global $wpdb;

		$group_by = $this->get_period_group_by('post_date');
		$product = $this->get_selected_group_filter('product');

		$item_meta_table = "{$wpdb->prefix}woocommerce_order_itemmeta";
		$items_table = "{$wpdb->prefix}woocommerce_order_items";
		$statuses = USIN_Woocommerce_Query::get_sales_statuses(true);

		$query = $wpdb->prepare("SELECT SUM(qty.meta_value) AS $this->total_col, post_date AS $this->label_col 
			FROM $wpdb->posts AS orders
			INNER JOIN $items_table AS items on items.order_id = orders.ID
			LEFT JOIN $item_meta_table AS products on products.order_item_id = items.order_item_id and products.meta_key = '_product_id'
			INNER JOIN $item_meta_table AS qty on qty.order_item_id = items.order_item_id and qty.meta_key = '_qty'
			WHERE orders.post_type = %s AND products.meta_value = %d AND post_date >= %s AND post_date <= %s 
			AND post_status IN ($statuses) GROUP BY $group_by",
			USIN_Woocommerce::ORDER_POST_TYPE, $product,  $this->get_period_start(), $this->get_period_end());

		return $wpdb->get_results( $query );
	}
}