<?php

class USIN_Woocommerce_Sales_Loader extends USIN_Period_Report_Loader {
	
	protected function load_data(){
		global $wpdb;

		$group_by = $this->get_period_group_by('post_date');
		$product = $this->get_selected_group_filter('product');
		$statuses = USIN_Woocommerce_Query::get_sales_statuses(true);

		$product_query = '';
		if($product != null){
			$product_query = $wpdb->prepare(" INNER JOIN {$wpdb->prefix}woocommerce_order_items AS items ON orders.ID = items.order_id".
				" INNER JOIN {$wpdb->prefix}woocommerce_order_itemmeta AS meta ON items.order_item_id = meta.order_item_id".
				" AND meta.meta_key = '_product_id' AND meta.meta_value = %d", $product);
		}

		$query = $wpdb->prepare("SELECT COUNT(*) AS $this->total_col, post_date AS $this->label_col FROM $wpdb->posts AS orders".$product_query.
			" WHERE post_type = %s AND post_status IN ($statuses) AND post_date >= %s AND post_date <= %s GROUP BY $group_by",
			USIN_Woocommerce::ORDER_POST_TYPE, $this->get_period_start(), $this->get_period_end());

		return $wpdb->get_results( $query );
	}
}